<?php

/**
 * Page de traitement permettant la suppression d'un utilisateur.
 */

session_start();
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
testPrivileges();
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/utilisateurs.php");
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/alias_virtuels.php");

$pseudo_utilisateur_bdd=listeUtilisateurBdd($pdo,$_GET['supprUtilisateur']);

if(isset($_GET['supprUtilisateur']) && !empty($_GET['supprUtilisateur']) && supprTousAliasVirtuelsUtilisateurBdd($pdo,$_GET['supprUtilisateur'])) {
	if (supprUtilisateursBdd($pdo,$_GET['supprUtilisateur'])) {
		// Si l'utilisateur à modifier a été changé via la liste déroulante dédiée sur celui venant d'être supprimé, ce paramètre est réinitialisé à sa valeur par défaut pour ne plus éditer les valeurs de l'utilisateur n'existant plus
		if ($_SESSION['pseudo_utilisateur']===$pseudo_utilisateur_bdd[0]['utilisateur']) {
			$_SESSION['pseudo_utilisateur']=$_SESSION['pseudo_connexion_utilisateur'];
		}
		
		header ("Location: /pages/gestion/administration.php?page=utilisateurs&succes=21");
		die();
	}
	else {
		header ("Location: /pages/gestion/administration.php?page=utilisateurs&erreur=28");
		die();
	}
}
else {
	header ("Location: /pages/gestion/administration.php?page=utilisateurs&erreur=29");
	die();
}

?>